Skip to main content
GET
/
identity
/
v1
/
users
/
{id}
Gets a single user from a downstream organization in the hierarchy.
curl --request GET \
  --url https://api.sandbox.tesouro.com/identity/v1/users/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDateTime": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "isExpenseApprover": true,
  "name": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationName": "<string>",
  "status": "<string>",
  "department": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "jobTitle": "<string>",
  "lastLoggedInDateTime": "2023-11-07T05:31:56Z",
  "location": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "reportingManagerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

id
string<uuid>
required

The user ID to retrieve.

Response

Returns the user from a related organization.

Summary information for a user from a related organization.

id
string<uuid>
required
createdDateTime
string<date-time>
required
email
string
required
isExpenseApprover
boolean
required
name
string
required
organizationId
string<uuid>
required
organizationName
string
required
status
string
required
department
object

A department reference on a user response.

jobTitle
null | string
lastLoggedInDateTime
null | string<date-time>
location
object

A location reference on a user response.

reportingManagerUserId
null | string<uuid>
role
null | string